function fig = myFigure(varargin)

%
% Copyright (c) 2015 Alexander Schulz
%
% This file is part of the Classifier Visualization Toolbox.
%
% The Classifier Visualization Toolbox is distributed under the
% GNU General Public License (version 3 or later). For details, see
% <http://www.gnu.org/licenses/>.
%


wide = 0;
scaling_wide = 1;
if nargin > 0
    type = varargin{1};
    if strcmpi(type, 'wide')
        wide = 1;
        scaling_wide = 1.5;
    end
end


scrsz = get(0,'ScreenSize');
bottomPos = round(scrsz(4)/(2.8)); % old: /(2.77));
heightFig = round(scrsz(4)/1.6); % old 1.8
widthFig  = round(1.2*heightFig * scaling_wide);

fig = figure('OuterPosition',[2 bottomPos widthFig heightFig]); 
set(fig, 'color', 'white');
